Bug 442897 - irqbalance documentation for 2 or less cpus
irqbalance documentation for 2 or less cpus
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: irqbalance (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks: 449949
  Show dependency treegraph
 
Reported: 2008-04-17 10:10 EDT by Joshua Giles
Modified: 2008-08-22 11:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-22 11:10:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Giles 2008-04-17 10:10:13 EDT
Description of problem:
When irq runs on a system with two cpus, it quickly exits not reporting any
reason as to why.  Practically speaking, irqbalance doesn't have much work to do
on a system that has only one cache domain and it's job is to spread irq's
across the available domains in the system.  However, this will cause confusion
in the minority of our customers and will trigger some support calls.  To avoid
confusion I propose documentation that describes expected behavior on systems
with only one cache domain and possibly a pointer to the documentation @ the
irqbalance project page.

Version-Release number of selected component (if applicable):
0.55-10.el5

How reproducible:
100%

Steps to Reproduce:
1. Run irqbalance on a system with <= 2 cpus or 1 cache domain
2. Check daemon status after a few seconds
3.
  
Actual results:
Program exits

Expected results:
Continues to run or report it has nothing to do.

Additional info:
Comment 1 Neil Horman 2008-04-17 10:36:49 EDT
concur.  I'll update the docs for 5.3
Comment 2 RHEL Product and Program Management 2008-06-02 16:05:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Neil Horman 2008-06-04 10:09:08 EDT
fixed in -11.el5
Comment 4 Joshua Giles 2008-07-07 14:15:02 EDT
sweet.

Note You need to log in before you can comment on or make changes to this bug.